Creates a DOMDocument object of the specified type with its document element

- « DOMImplementation::__construct

- DOMImplementation::createDocumentType »

- PHP Manual
- DOMImplementation
- Creates a DOMDocument object of the specified type with its document element

# DOMImplementation::createDocument

(PHP 5, PHP 7, PHP 8)

DOMImplementation::createDocument — Creates a DOMDocument object of the specified type with its document element

### Description

public DOMImplementation::createDocument(?string `$namespace` = `null`, string `$qualifiedName` = "", ?DOMDocumentType `$doctype` = `null`): DOMDocument

Creates a DOMDocument object of the specified type with its document element.

### Parameters

`namespace`

  The namespace URI of the document element to create.

`qualifiedName`

  The qualified name of the document element to create.

`doctype`

  The type of document to create or `null`.

### Return Values

A new DOMDocument object. If `namespace`, `qualifiedName`, and `doctype` are null, the returned DOMDocument is empty with no document element.

### Errors/Exceptions

`DOM_WRONG_DOCUMENT_ERR`

  Raised if `doctype` has already been used with a different document or was created from a different implementation.

`DOM_NAMESPACE_ERR`

  Raised if there is an error with the namespace, as determined by `namespace` and `qualifiedName`.

### Changelog

Version | Description
--- | ---
8.4.0 | The function now has the tentative return type DOMDocument.
8.0.3 | `namespace` is now nullable.
8.0.0 | `doctype` is now nullable.
8.0.0 | Calling this function statically will now throw an Error. Previously, an `E_DEPRECATED` was raised.

### See Also

- DOMDocument::__construct() - Creates a new DOMDocument object
- DOMImplementation::createDocumentType() - Creates an empty DOMDocumentType object